<?php
class Banner extends UtilObjeto {

	public function __construct($params=""){
		parent::__construct(strtolower(get_class()), $params);
	}

	public function upload($files){
		$novoNome = Banner::trataNome($files['name']);
		if(move_uploaded_file($files['tmp_name'], PATHBANNER.$novoNome)){
			return $novoNome;
		}
		else{
			return false;
		}
	}

	public function excluir(){
		$this->carregar();
		if(parent::excluir()){
			@unlink(PATHBANNER.$this->arquivo);
			return true;
		}
		else{
			return false;
		}
	}

	private static function trataNome($nome){

		// remove acento
	   $search  = array ('ç', 'á', 'é', 'í', 'ó', 'ú', 'ã', 'õ', 'â', 'ê', 'î', 'ô', 'û', 'ö', 'ü', 'à', 'è', 'ì', 'ò', 'ù', 
						 'Ç', 'Á', 'É', 'Í', 'Ó', 'Ú', 'Ã', 'Õ', 'Â', 'Ê', 'Î', 'Ô', 'Û', 'Ö', 'Ü', 'À', 'È', 'Ì', 'Ò', 'Ù'); 
	   $replace = array ('c', 'a', 'e', 'i', 'o', 'u', 'a', 'o', 'a', 'e', 'i', 'o', 'u', 'o', 'u', 'a', 'e', 'i', 'o', 'u',
					     'c', 'a', 'e', 'i', 'o', 'u', 'a', 'o', 'a', 'e', 'i', 'o', 'u', 'o', 'u', 'a', 'e', 'i', 'o', 'u'); 
	   $novoNome = str_replace($search, $replace, $nome);

	   // remove espaco
	   $novoNome = str_replace(" ","-",trim($novoNome));
	   
	   return $novoNome;

	}

}
?>